/*
 * comm_pritf.h
 *
 *  Created on: 2023Äê3ÔÂ28ÈÕ
 *      Author: User
 */

#ifndef APP_COMMON_COMM_INC_COMM_PRITF_H_
#define APP_COMMON_COMM_INC_COMM_PRITF_H_

#include "F28x_Project.h"
#include "F2837xD_sci.h"
#include "debug.h"


#include <stdio.h>



void sci_gpioMux(void);
void printf_sciConfig(volatile struct SCI_REGS* sciRegs);
void printf_sciFifoInit(volatile struct SCI_REGS* sciRegs);
void comm_printfInit(volatile struct SCI_REGS* sciRegs);
void uart_printf(char * fmt, ...) ;

void scib_xmit(int a);
void scib_msg(char * msg);




#endif /* APP_COMMON_COMM_INC_COMM_PRITF_H_ */
